/**
 * 向父级元素递归搜索
 *
 * @param _el       当前所在元素
 * @param tagName   目标标签名称
 * @param className 目标元素样式类
 * @returns 目标元素，找不到为 null
 */
export declare function up(_el: Element, tagName: string, className: string): Element | null;
/**
 * 日期格式化
 * @author meizz
 * @param date  日期，必须为 Date 类型
 * @param fmt   格式模板
 * @returns 格式化后的字符串
 */
export declare function dateFormat(date: Date, fmt: string): string;
/**
 * 加载脚本
 *
 * @param url   脚本地址
 * @param id    脚本元素 id，可选的
 * @param cb    回调函数，可选的
 */
export declare function loadScript(url: string, id?: string, cb?: (ev: Event) => any): void;
/**
 * 并行和串行任务
 *
 * @author https://segmentfault.com/a/1190000013265925
 * @param arr
 * @param finnaly
 */
export declare function parallel(arr: [], _finally: Function): void;
/**
 * 函数节流
 *
 * @author https://www.cnblogs.com/moqiutao/p/6875955.html
 * @param fn
 * @param delay
 * @param mustRunDelay
 */
export declare function throttle(fn: Function, delay: number, mustRunDelay: number): Function;
